:root {
  --main-color: #222;
  --main-width: 4px;
}

* {
  box-sizing: border-box;
  font-family: Tahoma;
  margin: 0;
}

.container {
  border-radius: 20px;
  margin: 20px auto;
  width: 90%;
}

.row {
  display: flex;
}

hr {
  border: 1px solid purple;
  margin: 1px;
}
.game-info {
  display: flex;
  .category {
    text-align: right;
    span {
      color: #e91e63;
      text-transform: capitalize;
    }
  }
}
.game-info .game-name,
.category {
  flex: 1;
  font-weight: bolder;
  font-family: sans-serif;
  font-size: larger;
}

.hangman-draw {
  flex: 1;
  background-color: #f8f8f8;
  height: 324px;
  padding: 20px;
  .the-draw {
    width: 60px;
    height: 280px;
    border-bottom: var(--main-width) solid var(--main-color);
    position: relative;
    margin: auto;
  }
}

.hangman-draw {
  .the-stand {
    content: "";
    position: absolute;
    left: 50%;
    width: var(--main-width);
    background-color: var(--main-color);
    height: 100%;
  }

  .the-hang::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 5%;
    height: var(--main-width);
    background-color: var(--main-color);
    width: 100%;
  }
  .the-hang::after {
    content: "";
    position: absolute;
    left: 150%;
    top: 5%;
    width: var(--main-width);
    background-color: var(--main-color);
    height: 15%;
  }

  .the-rope {
    content: "";
    position: absolute;
    left: 110%;
    top: 19%;
    border-radius: 50%;
    border: var(--main-width) dashed var(--main-color);
    height: 23%;
    width: 90%;
  }
  .head {
    position: absolute;
    left: 120%;
    top: 23%;
    background-color: var(--main-color);
    border-radius: 50%;
    height: 15%;
    width: 70%;
    .mouse {
      position: absolute;
      top: 60%;
      left: 30%;
      background-color: white;
      width: 18px;
      height: 2px;
      border-radius: 12px;
    }
  }
  .head::after {
    content: "";
    position: absolute;
    top: 25%;
    left: 20%;
    background-color: white;
    border-radius: 40%;
    width: 8px;
    height: 5px;
  }
  .head::before {
    content: "";
    position: absolute;
    top: 25%;
    right: 20%;
    background-color: white;
    border-radius: 40%;
    width: 8px;
    height: 5px;
  }
  .body {
    position: absolute;
    top: 37%;
    left: 140%;
    border-radius: 12%;
    background-color: var(--main-color);
    width: 30%;
    height: 28%;
  }

  .hands::after,
  .hands::before {
    content: "";
    position: absolute;
    background-color: var(--main-color);
    border-radius: 26%;
    width: 12%;
    height: 16%;
    top: 42%;
  }

  .hands::before {
    left: 117%;
    transform: rotate(30deg);
  }
  .hands::after {
    right: -92%;
    transform: rotate(-30deg);
  }
  .legs::after,
  .legs::before {
    content: "";
    position: absolute;
    background-color: var(--main-color);
    border-radius: 26%;
    width: 12%;
    height: 16%;
    top: 62%;
  }

  .legs::before {
    left: 120%;
    transform: rotate(30deg);
  }
  .legs::after {
    right: -88%;
    transform: rotate(-30deg);
  }
}

.the-stand,
.the-hang,
.the-rope,
.head,
.body,
.hands,
.legs {
  display: none;
}
.finished {
  pointer-events: none;
}
.letters {
  flex: 1;
  padding: 15px;
  text-align: center;
  .letter-box {
    font-family: Google Sans Code;
    font-weight: bolder;
    text-align: center;
    padding: 15px;
    padding-bottom: 25px;
    color: white;
    background-color: #290c5f;
    width: 45px;
    height: 50px;
    margin-right: 15px;
    margin-bottom: 15px;
    border: none;
    cursor: pointer;
  }
  .Clicked {
    background-color: var(--main-color);
    pointer-events: none;
    opacity: 0.2;
  }
}
.letters-guess {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  margin-top: 15px;
  span {
    width: 60px;
    height: 60px;
    border: none;
    border-bottom: 2px solid var(--main-color);
    border-radius: 6px;
    box-shadow: 0px 0px 5px gray;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 36px;
    font-family: serif;
    font-weight: bold;
    color: #290c5f;
    transition: 3s;
  }
  .with-space {
    border: none;
    box-shadow: 0px 0px 0px gray;
  }
}

div.popup.loser {
  position: fixed;
  left: 10%;
  top: 20%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  padding: 50px;
  background-color: #ad0e0e;
  text-align: center;
  width: 80%;
  height: 50%;
  color: white;
  font-size: 72px;
  border-radius: 12px;
  gap: 10%;
  p {
    font-size: 44px;
  }
  span {
    background-color: white;
    padding: 5px;
    border-radius: 25px;
    color: red;
    text-shadow: 0 0 24px darkslategray;
  }
}
div.popup.winner {
  position: fixed;
  left: 10%;
  top: 20%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  padding: 50px;
  background-color: #290c5f;
  text-align: center;
  width: 80%;
  height: 50%;
  color: lime;
  font-size: 72px;
  border-radius: 12px;
  gap: 10%;
  letter-spacing: 6px;
  font-family: serif;
  p {
    font-size: 40px;
  }
  span {
    background-color: white;
    padding: 5px;
    border-radius: 25px;
    color: green;
    text-shadow: 0 0 24px darkblue;
  }
  aside {
    font-size: 50px;
  }
}

@media (max-width: 1200px) {
  .letters {
    .letter-box {
      width: 38px;
      height: 49px;
      margin-right: 9px;
    }
  }
  .letters-guess {
    gap: 10px;
    transform: scale(0.9);
  }
}

@media (max-width: 992px) {
  .letters {
    .letter-box {
      width: 35px;
      height: 49px;
      margin-right: 9px;
    }
  }
  .letters-guess {
    gap: 10px;
    transform: scale(0.8);
  }
}
@media (min-width: 770px) and (max-width: 975px) {
  .letters {
    .letter-box {
      width: 35px;
      height: 49px;
      margin-right: 7px;
    }
  }
  .letters-guess {
    gap: 10px;
    transform: scale(0.8);
  }
}
@media (max-width: 768px) {
  .letters {
    .letter-box {
      width: 28px;
      height: 47px;
      margin-right: 4px;
    }
  }
  .letters-guess {
    gap: 10px;
    transform: scale(0.8);
  }
  div.popup.loser {
    font-size: 62px;
    span {
      font-size: 40px;
    }
  }
}

@media  (max-width: 576px) {
  .letters {
    .letter-box {
      width: 24px;
      height: 44px;
      margin-right: 2px;
    }
  }
  .letters-guess {
    gap: 10px;
    transform: scale(0.7);
  }
  div.popup.loser {
    font-size: 58px;
    p {
      font-size: 30px;

      span {
        font-size: 20px;
      }
    }
  }
  div.popup.winner {
    font-size: 54px;
    p {
      font-size: 32px;
      span {
        font-size: 30px;
      }
    }
  }
}
/*All things Done From 520 => 576 */

@media (max-width: 519px) {
  .letters {
    .letter-box {
      width: 10px;
      height: 20px;
      margin-right: 2px;
    }
  }
  div.popup.winner {
    font-size: 45px;
    aside {
      font-size: 35px;
    }
    p {
      font-size: 31px;
      span {
        font-size: 20px;
      }
    }
  }
  div.popup.loser {
    font-size: 45px;
    p {
      font-size: 30px;

      span {
        font-size: 25px;
      }
    }
  }
}
/*All Things Done From  */

/* 473 px */
/* Adjusting The Letters */
/* Adjusting The Letters Guess */
/* Adjusting The Winning Popup */
/* Adjusting The Losing Popup */

@media (max-width:472px) {
    .letters {
    .letter-box {
     width: 20px;
      height: 38px;
      margin-right: 4px;
      padding: 12px;
    }
  }
}

@media (max-width:388px) {
    .letters {
    .letter-box {
     width: 10px;
      height: 34px;
      margin-right: 4px;
      padding: 11px;
      padding-bottom: 15px;
    }
  }
  .the-draw{
    transform: scale(0.8);
  }
  div.popup.loser{
    transform: scale(0.8);
  }
  div.popup.winner{
    transform: scale(0.9);
  }
}